import { Chance } from 'chance';
/**
 * Potentially returns `null`, `undefined`, or the result of the supplied `alwaysValue` function.
 *
 * Useful for maybe types in Flow, e.g.:
 *
 * ```
 * {
 *   maybeValue: ?boolean,
 * }
 * ```
 */
declare const createMaybeCombinator: (chance: Chance.Chance) => <T>(alwaysValue: () => T) => T | null | undefined;
export default createMaybeCombinator;
//# sourceMappingURL=index.d.ts.map