import { Chance } from 'chance';
/**
 * Potentially returns `null` or the result of the supplied `alwaysValue` function.
 *
 * Useful for maybe types in Flow, e.g.:
 *
 * ```
 * {
 *   maybeValue: ?boolean,
 * }
 * ```
 */
declare const createNullableCombinator: (chance: Chance.Chance) => <T>(alwaysValue: () => T) => T | null;
export default createNullableCombinator;
//# sourceMappingURL=index.d.ts.map