"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _sample = _interopRequireDefault(require("../../generators/sample"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const alwaysNull = () => null;
/**
 * Potentially returns `null` or the result of the supplied `alwaysValue` function.
 *
 * Useful for maybe types in Flow, e.g.:
 *
 * ```
 * {
 *   maybeValue: ?boolean,
 * }
 * ```
 */


const createNullableCombinator = chance => alwaysValue => {
  const sample = (0, _sample.default)(chance);
  const getter = sample([alwaysNull, alwaysValue]);
  return getter();
};

var _default = createNullableCombinator;
exports.default = _default;
//# sourceMappingURL=index.js.map