import { Chance } from 'chance';
/**
 * Potentially returns `undefined` or the result of the supplied `alwaysValue` function.
 *
 * Useful for maybe types in Flow, e.g.:
 *
 * ```
 * {
 *   maybeValue: ?boolean,
 * }
 * ```
 */
declare const createOptionalCombinator: (chance: Chance.Chance) => <T>(alwaysValue: () => T) => T | undefined;
export default createOptionalCombinator;
//# sourceMappingURL=index.d.ts.map