"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

/**
 * Returns a randomly-selected email address string (e.g., `dualityhiss@icicle.net`).
 * You can override either portion of the email with `username` and `domain` options.
 */
const createEmailGenerator = chance => function () {
  let {
    domain,
    username
  } = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  const email = chance.email(domain != null ? {
    domain
  } : undefined);

  if (username != null) {
    return email.replace(/.+@/, `${username}@`);
  }

  return email;
};

var _default = createEmailGenerator;
exports.default = _default;
//# sourceMappingURL=index.js.map