"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _first_name = _interopRequireDefault(require("../first_name"));

var _last_name = _interopRequireDefault(require("../last_name"));

var _phone_number = _interopRequireDefault(require("../phone_number"));

var _full_name = _interopRequireDefault(require("../full_name"));

var _email = _interopRequireDefault(require("../email"));

var _utils = require("../../utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Returns a randomly-selected email address at goodeggs.com of the form `randall.munroe@goodeggs.com`.
 * You can override `firstName` and `lastName` by providing appropriate options.
 */
const createEmployeeEmailGenerator = chance => function () {
  let options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  const firstName = options.firstName != null ? options.firstName : (0, _first_name.default)(chance)();
  const lastName = options.lastName != null ? options.lastName : (0, _last_name.default)(chance)();
  return (0, _email.default)(chance)({
    username: `${(0, _utils.slugify)(firstName)}.${(0, _utils.slugify)(lastName)}`,
    domain: 'goodeggs.com'
  });
};

const createEmployeeGenerators = chance => ({
  firstName: (0, _first_name.default)(chance),
  lastName: (0, _last_name.default)(chance),
  phoneNumber: (0, _phone_number.default)(chance),
  fullName: (0, _full_name.default)(chance),
  email: createEmployeeEmailGenerator(chance)
});

var _default = createEmployeeGenerators;
exports.default = _default;
//# sourceMappingURL=index.js.map