"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _utils = require("../../utils");

/**
 * Generates a random producer name, e.g., `Bahringer`.
 */
const createNameGenerator = chance => () => chance.company();
/**
 * Generates a random producer slug, e.g., `anderson`.
 * Optionally can override with an explicit name to generate from.
 */


const createSlugGenerator = chance => slug => (0, _utils.slugify)(slug !== null && slug !== void 0 ? slug : createNameGenerator(chance)());

const createProducerGenerators = chance => ({
  name: createNameGenerator(chance),
  slug: createSlugGenerator(chance)
});

var _default = createProducerGenerators;
exports.default = _default;
//# sourceMappingURL=index.js.map