"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _sample = _interopRequireDefault(require("../sample"));

var _integer = _interopRequireDefault(require("../integer"));

var _fixtures = require("./fixtures");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Generates a random product name, e.g. `Hargrand Apricots`.
 */
const name = chance => () => {
  return (0, _sample.default)(chance)(_fixtures.productNames);
};
/**
 * Generates a random product unit, e.g. `count`.
 */


const unit = chance => () => {
  return (0, _sample.default)(chance)(_fixtures.productUnits);
};
/**
 * Generates a random storage type, e.g., `chill`.
 */


const storageType = chance => () => {
  return (0, _sample.default)(chance)(_fixtures.storageTypes);
};
/**
 * Generates a random product count, e.g., `31`.
 */


const count = chance => () => (0, _integer.default)(chance)(1, 100);

const createProductGenerators = chance => ({
  count: count(chance),
  name: name(chance),
  storageType: storageType(chance),
  unit: unit(chance)
});

var _default = createProductGenerators;
exports.default = _default;
//# sourceMappingURL=index.js.map