import { Chance } from 'chance';
/**
 * unique accepts a generator function and a number of items to generate and returns an array of
 * unique values. It throws a RangeError when it is unable to generate an array of unique values.
 *
 * By default it compares each new generated value against all other generated values using a
 * `sameValueZero` (`Object.is`) comparsion. You can customize this behavior by passing your own
 * comparator via `options.isEqual`.
 */
declare const createUniqueGenerator: (_chance: Chance.Chance) => <T, A extends unknown[]>(generator: (...args: A) => T, { isEqual, }?: {
    isEqual?: ((a: T, b: T) => boolean) | undefined;
}) => (...args: A) => T;
export default createUniqueGenerator;
//# sourceMappingURL=index.d.ts.map