/**
 * Lowercases and removes spaces from a string, so that it can be used as a slug.
 */
export declare const slugify: (text: string) => string;
declare const nes: unique symbol;
export declare type NonEmptyString = string & {
    [nes]: string;
};
/**
 * isNonEmptyString is a predicate function that checks if a value is both a string and not the
 * empty string ''.
 */
export declare const isNonEmptyString: (value: unknown) => value is NonEmptyString;
/**
 * range creates an iterator that yields values of range start (inclusive) to stop (exclusive).
 */
export declare const range: (start: number, stop: number) => Generator<number, void>;
export {};
//# sourceMappingURL=index.d.ts.map