"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.slugify = exports.range = exports.isNonEmptyString = void 0;

/**
 * Lowercases and removes spaces from a string, so that it can be used as a slug.
 */
const slugify = text => {
  return text.toLowerCase().replace(/[\W_]/g, ''); // remove all non-word characters
};

exports.slugify = slugify;

/**
 * isNonEmptyString is a predicate function that checks if a value is both a string and not the
 * empty string ''.
 */
const isNonEmptyString = value => {
  return typeof value === 'string' && value !== '';
};
/**
 * range creates an iterator that yields values of range start (inclusive) to stop (exclusive).
 */


exports.isNonEmptyString = isNonEmptyString;

const range = function* (start, stop) {
  for (let i = start; i < stop; i += 1) {
    yield i;
  }
};

exports.range = range;
//# sourceMappingURL=index.js.map